Subject: Re: arguments for redo-targets and redo-sources?

From: Sergey Matveev <[email-masked]>
Date: Tue, 22 Jun 2021 10:56:31 +0300

Greetings!

*** Karolis K [2021-06-21 19:32]:
>I imagined (for some reason) that redo-targets would be the opposite of redo-sources. i.e.:

Ah, I see. Actually you told about that in your previous message. But I
thought that somehow you use an "ordinary" redo-targets for that tasks
already. As I can see, no other implementation has that functionality.

I created redo-affects command in 1.6.0 release. It works not so fast,
but shows everything that will be affected by specified targets/sources.
But pay attention that it collects all known targets from the current
directory, to limit the expensive targets searching and the whole
dependency information collecting. For example:

    % redo-affects src/tai.h
    doc/crick.info
    doc/docstringer.log
    lib
    src/libcrick.a
    src/log.o
    src/tai.o

    % cd src ; redo-affects tai.h
    libcrick.a
    log.o
    tai.o

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF